### Signal

# Gtk GLArea::render

#### Declaration

    gboolean
    render (
      GtkGLArea self,
      GdkGLContext* context,
      gpointer user_data
    )

#### Description [src]

Emitted every time the contents of the `GtkGLArea` should be redrawn.

The `context` is bound to the `area` prior to emitting this function, and the buffers are painted to the window once the emission terminates.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`context` | `GdkGLContext*`
| The `GdkGLContext` used by `area`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.